# Change Password Change the password for the specified customer account using one of two ways. Either the resetToken is provided from a password reset email, or the logged in customer provides their current password. Endpoint: POST /v2/customer/change-password Version: v2 Security: ApiKeySecurityScheme, CustomerAppScopeSecurityScheme ## Header parameters: - `x-md-api-version` (string, required) Enum: "4" - `x-bite-org-id` (string, required) The org ID you are working with. - `x-bite-order-channel` (string, required) The order channel you are working with. Enum: "catering", "flash", "kiosk", "linebuster", "web" ## Request fields (application/json): - `resetToken` (string) A token acquired during the password reset process. - `currentPassword` (string) The current password used to access the customer account. - `newPassword` (string, required) The new password to be used for the customer account. - `newPasswordRepeat` (string, required) The copy of the new password. ## Response 200 fields (application/json): - `token` (string, required) The auth token that will be used to authenticate the customer going forward. The token issued previously will not be accepted anymore. ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 500 fields